Appearance
Create a new booking on behalf ​
POST
/v1/bookings/onbehalf/{on_behalfclient_id}
Create a new booking on behalf
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Path Parameters
on_behalfclient_id*
Client we do the on behalf for.
Type
Requiredstring
Request Body​
application/json
When creating from a reservation, the ticket details are already stored, so you only need to provide booking metadata.
JSON"reservation_id": "5e3ae0658c9e405a9a62367293b8f56b_rsr","invoice_reference": "INV-2025-001","booking_reference": "BOOK-2025-001","payment_method": "invoice","is_test_booking": false
{
 Â
 Â
 Â
 Â
 Â
}
Responses​
Created
application/json
JSON"booking_id": "5867e9941e924a7bb169e244b26589ba_bkn","reservation_id": "5e3ae0658c9e405a9a62367293b8f56b_rsr","booking_code": "DQW32M","created": "2025-06-11T14:29:25","updated": "2025-06-11T15:12:03","client_id": "19941a73d2b5498caf6894d62bb6c3a4_cln","payment_method": "invoice","payment_reference": "INV-2025-0001","booking_reference": "BOOK-2025-0001","distributorfinancial_status": "OPEN","logistic_status": "PROCESSING","deleted": null,"items": [{"quantity": 2,"salesprice": 41100,"net_rate": 41100,"currency": "EUR","ticket_id": "dbe592106db4431a8260c2656dc753ac_tck","ticket_name": "Category 2","event_id": "a0351f57524a4119ab838038c2718588_evt","event_name": "Grand Prix Netherlands","event_season": "2026","tournament_name": "Formula 1"}]
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}